pappso::FilterResampleKeepGreater Class Reference

`#include <filterresample.h>`

Inheritance diagram for pappso::FilterResampleKeepGreater:

## Public Member Functions

| FilterResampleKeepGreater (double x_value)
| FilterResampleKeepGreater (const FilterResampleKeepGreater &other)
virtual | ~FilterResampleKeepGreater ()
FilterResampleKeepGreater & | operator= (const FilterResampleKeepGreater &other)
Trace & | filter (Trace &trace) const override
double | getThresholdX () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

double | m_value

## Detailed Description

Definition at line 52 of file filterresample.h.

## Constructor & Destructor Documentation

## FilterResampleKeepGreater() [1/2]

pappso::FilterResampleKeepGreater::FilterResampleKeepGreater | ( | double | x_value | ) |

Definition at line 57 of file filterresample.cpp.

: m_value(x_value)
{
}
pappso::FilterResampleKeepGreater::m_value
double m_value
Definition: filterresample.h:55

## FilterResampleKeepGreater() [2/2]

pappso::FilterResampleKeepGreater::FilterResampleKeepGreater | ( | const FilterResampleKeepGreater & | other | ) |

Definition at line 62 of file filterresample.cpp.

: FilterResampleKeepGreater(other.m_value)
{
}
pappso::FilterResampleKeepGreater::FilterResampleKeepGreater
FilterResampleKeepGreater(double x_value)
Definition: filterresample.cpp:57

## ~FilterResampleKeepGreater()

virtual pappso::FilterResampleKeepGreater::~FilterResampleKeepGreater | ( |  | ) |

inline virtual

Definition at line 60 of file filterresample.h.

{};

## Member Function Documentation

## filter()

Trace & pappso::FilterResampleKeepGreater::filter | ( | Trace & | trace | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 84 of file filterresample.cpp.

{
qDebug() << __FILE__ << " " << __FUNCTION__ << " " << __LINE__
<< " spectrum.size()=" << spectrum.size();
auto last_it = findFirstGreaterX(spectrum.begin(), spectrum.end(), m_value);
spectrum.erase(spectrum.begin(), last_it);
qDebug() << __FILE__ << " " << __FUNCTION__ << " " << __LINE__
<< " spectrum.size()=" << spectrum.size();
return spectrum;
}
pappso::findFirstGreaterX
std::vector< DataPoint >::iterator findFirstGreaterX(std::vector< DataPoint >::iterator begin, std::vector< DataPoint >::iterator end, const double &value)
find the first element in which X is greater than the value searched important : it implies that Trac...
Definition: trace.cpp:60

References pappso::findFirstGreaterX(), and m_value.

Referenced by pappso::XtandemSpectrumProcess::process().

## getThresholdX()

double pappso::FilterResampleKeepGreater::getThresholdX | ( |  | ) | const

Definition at line 70 of file filterresample.cpp.

{
return m_value;
}

References m_value.

Referenced by pappso::XtandemSpectrumProcess::getMinimumMz().

## operator=()

FilterResampleKeepGreater & pappso::FilterResampleKeepGreater::operator= | ( | const FilterResampleKeepGreater & | other | ) |

Definition at line 76 of file filterresample.cpp.

{
m_value = other.m_value;
return *this;
}

References m_value.

## Member Data Documentation

## m_value

double pappso::FilterResampleKeepGreater::m_value

private

Definition at line 55 of file filterresample.h.

Referenced by filter(), getThresholdX(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterresample.h
- pappsomspp/processing/filters/filterresample.cpp